
QGIS Application - Bug report #21237

"unknown exception" when enabling editing

2019-02-11 07:42 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29055

Description

Seen on master/windows

add a vector

enabled snapping

toggle editing > pick node tool > see attached screenshot

History

#1 - 2019-02-12 10:03 PM - Martin Dobias

Is it possible to get the data? And is the bug windows only? If snapping is disabled, there's no exception?

#2 - 2019-02-12 10:42 PM - Nyall Dawson

Martin - this is a packaging issue with the latest libspatialindex under windows

#3 - 2019-02-13 12:05 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

osgeo4w got a libspatialindex update, now the issue is gone.
